/* prog 8-23,ק prog 8-22 */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#define MAX_PLAY_TIMES 10
#define NAME "q쪺"

void new_answer(int *aa, int *bb, int *cc);
int answer_proc(int new_game);  
void give_guess(int answer, int *num_a, int *num_b);
int guess_proc(int new_game);  

int main(void)
{
   int play_times = 0;
   int get_answer;  // 0: initial, 1: right, -1: stop
   char ch;
   int show_times = 0;
   //
   srand((unsigned)time(NULL));
   //
   printf("? (y (yes) or n (no)) ");
   scanf("%c", &ch);
   //
   if (ch == 'y')
   {
	    show_times = 1;
		printf("= %d\n", show_times);
		guess_proc(1);
		get_answer = answer_proc(1);
		play_times = 1;

		while(play_times < MAX_PLAY_TIMES)
		{
			show_times += 2;
			printf("= %d\n", show_times);
			guess_proc(0);
			if (get_answer == 0)
				get_answer = answer_proc(0);
			play_times++;
		}
   }
   else
   {
		get_answer = answer_proc(1);
	    show_times = 2;
		printf("= %d\n", show_times);
		guess_proc(1);
		play_times = 1;

		while(play_times < MAX_PLAY_TIMES)
		{
			if (get_answer == 0)
				get_answer = answer_proc(0);
			show_times += 2;
			printf("= %d\n", show_times);
			guess_proc(0);
			play_times++;
		}
   }

   if (get_answer == 0)
		answer_proc(2);
   
   return 0;
}

void new_answer(int *aa, int *bb, int *cc)
{
   *aa = rand()%9+1;
   do 
     *bb = rand()%9+1;
   while (*bb == *aa);
   do 
     *cc = rand()%9+1;
   while (*cc == *aa || *cc == *bb);
}

int answer_proc(int new_game)  
{
   static int get_answer = 0; // 0: no, 1: yes
   static int aa=0, bb=0, cc=0;  // answer
   static int answer_times = 0;
   int i, a, b, c, x, j , k;
   //
   // new game
   if (new_game == 1)
   {
	  get_answer = 0;
	  new_answer(&aa, &bb, &cc);
	  answer_times = 0;
   }
   // print the answer
   if (new_game == 2)
   {
      printf("= %d\n", cc*100+bb*10+aa);
	  return get_answer;
   }
   //
   if (get_answer == 0)
   {
	 printf("%s,вq@ХBt0T (ҡG123A_{пJG0):", NAME);
     scanf("%d",&i);
	 answer_times++;
     //
     if (i == 0)
	 {
		get_answer = 1;
		printf("= %d", cc*100+bb*10+aa);
	 }
	 //
	 else
	 {
	    x = i;
		a = x%10;
		x = x/10;
		b = x%10;
		x = x/10;
		c = x%10;
		//
		j = k =0;
		if (a == aa) j++;
		else if (a == bb || a == cc) k++;
		if (b == bb) j++;
		else if (b == aa || b == cc) k++;
		if (c == cc) j++;
		else if (c == aa || c == bb) k++;
		if (j == 3)
		{
			get_answer = 1;
			printf("צ= %dAzqFA= %d\n", answer_times, cc*100+bb*10+aa);
		}
		else
			printf("צ= %dAG=%da%db\n", answer_times, j, k);
	 }
   }  
   //
   return get_answer;
}

int guess_proc(int new_game)  
{
   static int get_answer = 0; // 0: no, 1: yes
   static int state = 1;
   int answer, num_a, num_b,d,e=0,f,g,h;
   //
   // new game
   if (new_game)
   {
	  get_answer = 0;
	  state = 1;
   }
  
   switch (state)
   {
	 srand(time(NULL));
     case 1: answer = 136;
			 give_guess(answer, &num_a, &num_b);
			 if (num_b == 3)
				 state = 2;
			 else if (num_a+num_b == 3)
				state = 3;
			else if (num_a == 2)
				state = 4;
			else if (num_b == 2)
				state = 5;
			else if (num_a+num_b == 2)
				state = 6;
			else if (num_a == 1)
				state = 7;
			else if (num_b == 1)
				state = 8;
			else
				state = 9;
	   break;
//
     case 2: answer = 361;
			 give_guess(answer, &num_a, &num_b);
			 	 state = 10;
	   break;
     case 10: answer = 613;
			 give_guess(answer, &num_a, &num_b);
			 state = 999;
	   break;
     //
	 case 3: answer = 163;
			 give_guess(answer, &num_a, &num_b);
 			 state = 11;
	   break;
	 case 11: answer = 631;
			 give_guess(answer, &num_a, &num_b);
 			 state = 12;
	   break;
	 case 12: answer = 316;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
//
	 case 4: answer = 163;
			 give_guess(answer, &num_a, &num_b);
			if (num_b == 2)
				state = 13;
			else 
 			 state = 14;
	   break;
	 case 13: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 				 state = 16;
			 else if(num_b == 1)
				 state =17;
			 else 
				 state =15;
	   break;
     //
	 case 15: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 				state = 18;
			 else
				 state = 19;
	   break;
	case 18: answer = 436;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	 case 19: answer = 536;
			 give_guess(answer, &num_a, &num_b);
 			 state = 20;
	   break;
	  case 20: answer = 736;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   //
	   case 16: answer = 236;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 17: answer = 836;
			 give_guess(answer, &num_a, &num_b);
 			 state = 21;
	   break;
	   case 21: answer = 936;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	//
	   case 14: answer = 139;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 				 state = 22;
			 else if(num_a == 2)
				 state = 23;
			 else
				 state = 24;
	   break;
	   case 22: answer = 316;
			 give_guess(answer, &num_a, &num_b);
 			 state = 196;
	   break;
	   case 23: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 				state = 25;
			 else if(num_a == 1)
				 state = 26;
			 else
				 state = 27;
	   break;
	   case 25: answer = 138;
			 give_guess(answer, &num_a, &num_b);
 			 state = 28;
	   break;
	   case 28: answer = 132;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 26: answer = 139;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 27: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 29;
			 else 
				 state = 30;
	   break;
	   case 29: answer = 137;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 30: answer = 134;
			 give_guess(answer, &num_a, &num_b);
 			 state = 31;
	   break;
	   case 31: answer = 135;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	  case 24: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 				state = 33;
			 else if(num_a == 1)
				 state = 32;
			 else
				 state = 34;
	   break;
   case 32: answer = 186;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
   case 33: answer = 126;
			 give_guess(answer, &num_a, &num_b);
 			 state = 35;
	   break;
   case 35: answer = 316;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
   case 34: answer = 256;
			 give_guess(answer, &num_a, &num_b);
 			 state = 36;
	   break;
   case 36: answer = 276;
			 give_guess(answer, &num_a, &num_b);
 			 state = 37;
	   break;
   case 37: answer = 246;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	//
   case 5: answer = 163;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 38;
			 else
				 state = 39;
	   break;
	  case 38: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 				state = 41;
			 else if(num_a == 1)
				 state = 40;
			 else
				 state = 42;
	   break;
   case 40: answer = 263;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
   case 41: answer = 863;
			 give_guess(answer, &num_a, &num_b);
 			 state = 43;
	   break;
   case 43: answer = 963;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
   case 42: answer = 463;
			 give_guess(answer, &num_a, &num_b);
 			 state = 44;
	   break;
   case 44: answer = 563;
			 give_guess(answer, &num_a, &num_b);
 			 state = 45;
	   break;
   case 45: answer = 763;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
   case 39: answer = 316;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 46;
			 else
				 state = 47;
	   break;
   case 46: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 				state = 49;
			 else if(num_a == 1)
				 state = 48;
			 else
				 state = 50;
	   break;
   case 48: answer = 319;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	      case 49: answer = 312;
			 give_guess(answer, &num_a, &num_b);
 			 state = 51;
	   break;
	      case 51: answer = 318;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	      case 50: answer = 317;
			 give_guess(answer, &num_a, &num_b);
 			 state = 52;
	   break;
	      case 52: answer = 314;
			 give_guess(answer, &num_a, &num_b);
 			 state = 53;
	   break;
	      case 53: answer = 315;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	     case 47: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 				state = 55;
			 else if(num_a == 1)
				 state = 54;
			 else
				 state = 56;
	   break;
   case 54: answer = 681;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	      case 55: answer = 621;
			 give_guess(answer, &num_a, &num_b);
 			 state = 57;
	   break;
	      case 57: answer = 691;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	      case 56: answer = 641;
			 give_guess(answer, &num_a, &num_b);
 			 state = 58;
	   break;
	      case 58: answer = 671;
			 give_guess(answer, &num_a, &num_b);
 			 state = 59;
	   break;
	      case 59: answer = 651;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	//
	   case 6: answer = 163;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 60;
			 else
				 state = 61;
	   break;
	   case 60: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 				state = 63;
			 else if(num_a == 1)
				 state = 62;
			 else
				 state = 64;
	   break;
	   case 62: answer = 169;
			 give_guess(answer, &num_a, &num_b);
 			 state = 65;
	   break;
	   case 65: answer = 183;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 63: answer = 162;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 66;
			 else
				 state = 68;
	   break;
		 case 66: answer = 168;
			 give_guess(answer, &num_a, &num_b);
 			 state = 67;
	   break;
	   case 67: answer = 193;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 68: answer = 123;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 64: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 69;
			 else
				 state = 70;
	   break;
	   case 69: answer = 167;
			 give_guess(answer, &num_a, &num_b);
 			 state = 71;
	   break;
	   case 71: answer = 153;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 70: answer = 164;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 			 state = 73;
			 else
				 state = 72;
	   break;
	   case 73: answer = 143;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 72: answer = 165;
			 give_guess(answer, &num_a, &num_b);
 			 state = 74;
	   break;
	   case 74: answer = 173;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 61: answer = 361;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 75;
			 else
				 state = 76;
	   break;
	   case 75: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 				state = 78;
			 else if(num_a == 1)
				 state = 77;
			 else
				 state = 79;
	   break;
	   case 76: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 				state = 84;
			 else if(num_a == 1)
				 state = 83;
			 else
				 state = 85;
	   break;
	   case 77: answer = 369;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 78: answer = 368;
			 give_guess(answer, &num_a, &num_b);
 			 state = 80;
	   break;
	   case 80: answer = 362;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 79: answer = 364;
			 give_guess(answer, &num_a, &num_b);
 			 state = 81;
	   break;
	   case 81: answer = 365;
			 give_guess(answer, &num_a, &num_b);
 			 state = 82;
	   break;
	   case 82: answer = 367;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 83: answer = 683;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 84: answer = 693;
			 give_guess(answer, &num_a, &num_b);
 			 state = 86;
	   break;
	   case 86: answer = 623;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 85: answer = 843;
			 give_guess(answer, &num_a, &num_b);
 			 state = 87;
	   break;
	   case 87: answer = 653;
			 give_guess(answer, &num_a, &num_b);
 			 state = 88;
	   break;
	   case 88: answer = 673;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	//
	   case 7: answer = 289;
			 give_guess(answer, &num_a, &num_b);
			if (num_a == 2)
				state = 89;
			else if (num_b == 2)
				state = 90;
			else if (num_a+num_b == 2)
				state = 91;
			else if (num_a == 1)
				state = 92;
			else if (num_b == 1)
				state = 93;
			else
				state = 94;
	   break;
	   case 89: answer = 286;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 95;
			 else
				 state = 96;
	   break;
	   case 95: answer = 239;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 96: answer = 189;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 90: answer = 673;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 97;
			 else if(num_b == 2)
				 state = 98;
			 else if(num_a == 2)
				 state = 99;
			 else if(num_a+num_b == 2)
				 state = 100;
			 else
				 state = 101;
	   break;
	   case 97: answer = 926;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 98: answer = 896;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 99: answer = 932;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 100: answer = 832;
			 give_guess(answer, &num_a, &num_b);
 			 state = 102;
	   break;
	   case 102: answer = 198;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 101: answer = 128;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 91: answer = 129;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
				 state = 103;
			 else 
				 state = 104;
 	   break;
	   case 103: answer = 839;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 104: answer = 182;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
				 state = 105;
			 else
				 state = 106;
	   break;
	   case 105: answer = 986;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 106: answer = 296;
			 give_guess(answer, &num_a, &num_b);
 			 state = 107;
	   break;
	   case 107: answer = 238;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 92: answer = 457;
			 give_guess(answer, &num_a, &num_b);
 			 state = 108;
	   break;
	   case 108: answer = 486;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 109;
			 else
				 state = 110;
	   break;
	   case 109: answer = 439;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 111;
			 else
				 state = 112;
	   break;
	   case 111: answer = 159;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 112: answer = 256;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 110: answer = 237;
			 give_guess(answer, &num_a, &num_b);
 			 state = 113;
	   break;
	   case 113: answer = 187;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 94: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 114;
			 else if(num_b == 2)
				 state = 115;
			 else
				 state = 116;
	   break;
	   case 114: answer = 456;
			 give_guess(answer, &num_a, &num_b);
 			 state = 117;
	   break;
	   case 117: answer = 157;
			 give_guess(answer, &num_a, &num_b);
 			 state = 118;
	   break;
	   case 118: answer = 437;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 115: answer = 734;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 119;
			 else if(num_a == 2)
				 state = 120;
			 else if(num_a+num_b == 2)
				 state = 121;
			 else if(num_a == 1)
				 state = 122;
			 else 
				 state = 123;
	   break;
	    case 119: answer = 534;
			 give_guess(answer, &num_a, &num_b);
 			 state = 192;
	   break;
	   case 192: answer = 735;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	    case 120: answer = 576;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	    case 121: answer = 534;
			 give_guess(answer, &num_a, &num_b);
 			 state = 124;
	   break;
	    case 124: answer = 175;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	    case 122: answer = 746;
			 give_guess(answer, &num_a, &num_b);
 			 state = 125;
	   break;
	    case 125: answer = 145;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	    case 123: answer = 128;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	    case 116: answer = 147;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 126;
			 else
				 state = 127;
	   break;
	    case 126: answer = 537;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	    case 127: answer = 154;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 128;
			 else
				 state = 129;
	   break;
	    case 128: answer = 756;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	    case 129: answer = 476;
			 give_guess(answer, &num_a, &num_b);
 			 state = 130;
	   break;
	    case 130: answer = 435;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	    case 9: answer = 289;
			 give_guess(answer, &num_a, &num_b);
 			 if (num_b == 3)
				 state = 131;
			 else if (num_a+num_b == 3)
				state = 132;
			else if (num_a == 2)
				state = 133;
			else if (num_b == 2)
				state = 134;
			else if (num_a+num_b == 2)
				state = 135;
			else if (num_a == 1)
				state = 1367;
			else if (num_b == 1)
				state = 137;
			else
				state = 138;
	   break;
	   case 131: answer = 928;
			 give_guess(answer, &num_a, &num_b);
 			 state = 139;
	   break;
	   case 139: answer = 892;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 132: answer = 298;
			 give_guess(answer, &num_a, &num_b);
 			 state = 140;
	   break;
	   case 140: answer = 829;
			 give_guess(answer, &num_a, &num_b);
 			 state = 141;
	   break;
	   case 141: answer = 982;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 133: answer = 298;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 2)
 			 state = 142;
			 else
				 state = 143;
	   break;
	   case 142: answer = 489;
			 give_guess(answer, &num_a, &num_b);
 			 state = 144;
	   break;
	   case 145: answer = 789;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 143: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 146;
			 else
				 state = 147;
	   break;
	   case 146: answer = 287;
			 give_guess(answer, &num_a, &num_b);
 			 state = 148;
	   break;
	   case 148: answer = 259;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 147: answer = 284;
			 give_guess(answer, &num_a, &num_b);
 			 state = 149;
	   break;
	   case 149: answer = 294;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 134: answer = 298;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 150;
			 else
				 state = 151;
	   break;
	   case 150: answer = 498;
			 give_guess(answer, &num_a, &num_b);
 			 state = 153;
	   break;
	   case 153: answer = 598;
			 give_guess(answer, &num_a, &num_b);
 			 state = 154;
	   break;
	   case 154: answer = 798;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 151: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 155;
			 else
				 state = 156;
	   break;
	   case 155: answer = 852;
			 give_guess(answer, &num_a, &num_b);
 			 state = 157;
	   break;
	   case 157: answer = 927;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 156: answer = 842;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 158;
			 else
				 state = 159;
	   break;
	   case 158: answer = 872;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 160: answer = 925;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 159: answer = 924;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 135: answer = 298;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 161;
			 else
				 state = 168;
	   break;
	   case 161: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 162;
			 else
				 state = 163;
	   break;
	   case 162: answer = 297;
			 give_guess(answer, &num_a, &num_b);
 			 state = 164;
	   break;
	   case 164: answer = 258;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 163: answer = 294;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 1)
 			 state = 166;
			 else
				 state = 165;
	   break;
	   case 165: answer = 295;
			 give_guess(answer, &num_a, &num_b);
 			 state = 167;
	   break;
	   case 167: answer = 278;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 166: answer = 248;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 168: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 169;
			 else
				 state = 171;
	   break;
	   case 169: answer = 897;
			 give_guess(answer, &num_a, &num_b);
 			 state = 170;
	   break;
	   case 170: answer = 758;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 171: answer = 894;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 3)
 			 state = 173;
			 else
				 state = 172;
	   break;
	   case 173: answer = 948;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 172: answer = 895;
			 give_guess(answer, &num_a, &num_b);
 			 state = 174;
	   break;
	   case 174: answer = 978;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 136: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 2)
 			 state = 175;
			 else if(num_b == 2)
				 state = 176;
			 else
				 state = 177;
	   break;
	   case 175: answer = 459;
			 give_guess(answer, &num_a, &num_b);
 			 state = 178;
	   break;
	   case 178: answer = 257;
			 give_guess(answer, &num_a, &num_b);
 			 state = 179;
	   break;
	   case 179: answer = 487;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 176: answer = 549;
			 give_guess(answer, &num_a, &num_b);
 			 state = 180;
	   break;
	   case 180: answer = 275;
			 give_guess(answer, &num_a, &num_b);
 			 state = 181;
	   break;
	   case 181: answer = 784;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 177: answer = 254;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 182;
			 else
				 state = 183;
	   break;
	   case 182: answer = 759;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 183: answer = 479;
			 give_guess(answer, &num_a, &num_b);
			 if(num_a == 1)
 			 state = 184;
			 else
				 state = 185;
	   break;
	   case 184: answer = 485;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 185: answer = 587;
			 give_guess(answer, &num_a, &num_b);
 			 state = 186;
	   break;
	   case 186: answer = 247;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 138: answer = 457;
			 give_guess(answer, &num_a, &num_b);
			 if(num_b == 3)
 			 state = 187;
			 else
				 state = 189;
	   break;
	   case 187: answer = 574;
			 give_guess(answer, &num_a, &num_b);
 			 state = 188;
	   break;
	   case 188: answer = 745;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 189: answer = 475;
			 give_guess(answer, &num_a, &num_b);
 			 state = 190;
	   break;
	   case 190: answer = 754;
			 give_guess(answer, &num_a, &num_b);
 			 state = 191;
	   break;
	   case 191: answer = 547;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;
	   case 8: answer = 569;
			 give_guess(answer, &num_a, &num_b);
			 state = 999;
	   break;
	   case 93: answer = 718;
			 give_guess(answer, &num_a, &num_b);
			 state = 999;
	   break;
	   case 137: answer = 497;
			 give_guess(answer, &num_a, &num_b);
			 state = 999;
	   break;
	   case 999: 
		   d=1+(rand()%9);
		   e=e+100*d;
		   f=1+(rand()%9);
		   for(h=0;h<=9;h++){
		   if(f==d)
			   f=1+(rand()%9);
		   }
		   e=e+10*f;
		   g=1+(rand()%9);
		   for(h=1;h<=9;h++){
		   if(g==d||g==f)
			   g=1+(rand()%9);
		   }
		   e=e+g;
				answer = e;
			 give_guess(answer, &num_a, &num_b);
 			 state = 999;
	   break;	 
   }
   //
   return get_answer;
}

void give_guess(int answer, int *num_a, int *num_b)
{
   char s[5];
   
   printf("  q׬ %dAпJתGG", answer);
   scanf("%s",s);
   *num_a = s[0]-'0';
   *num_b = s[2]-'0';
}

